#              ATTACK SIMULATION
#
# main args:
#	in:
#		$dest          = $1
#
#	out:
#		$dest_attacked = $2
#
# other args:
#	in:
#		$src                       = $3
#		$dest_attacked_without_ext = $4
#



# main args setup:

	dest=$1
	dest_attacked=$2

# other args setup:
	src=$3
	dest_attacked_without_ext=$4

# this attacker specific:
	# auxiliary dest
		dest_aux=f_test.wav

		dest_aac=$dest_attacked_without_ext.aac

	
	# MPEG2 AAC controls
	# CODER (faac)
		#AAC MPEG version (2,4)
			AAC_MPEG_Version=2
		#AAC object type (LC,MAIN,LTP)
			AAC_object_type=MAIN
		#bitrate per channel (in bps)
			bitrate=128000
		#other faac options:
		#	-t   - use TNS
		#       -c X - set the bandwidth, X in Hz.
	faac_options="-m $AAC_MPEG_Version -o $AAC_object_type -b $bitrate -t"
	# DECODER (faad, faad2)
	# 1. faad (based on the ISO MPEG-4 reference code)
	# 2. faad2 (Freeware Advanced Audio Decoder)
		#faad2 options
		#	-f X  Set output format. Valid values for X are:
		#			1:  Microsoft WAV format (default).
		#			2:  Apple/SGI AIFF format.
		#			3:  Sun/NeXT AU format.
		#			4:  DEC AU format.
		#			5:  RAW PCM data.
		#	-b X  Set output sample format. Valid values for X are:
		#			1:  16 bit PCM data (default).
		#			2:  24 bit PCM data.
		#			3:  32 bit PCM data.
		#			4:  32 bit floats.
	faad2_options="-f 1 -b 4"
		

# ATTACK SIMULATION
	#prepare to encode (convert float32 samples to int16)
./sfconvert -pcm16 $dest $dest_attacked


	#encode
./faac $faac_options $dest_attacked $dest_aac

	#decode
		#1)
		#./faad $dest_aac
		
		#2)
		./faad2 $faad2_options -o $dest_aux $dest_aac

	#align
./align $src $dest_aux $dest_attacked
rm --force $dest_aux
